Package org.silverpeas.components.gallery.socialnetwork

## Class SocialGalleryMedia

- java.lang.Object
- - org.silverpeas.components.gallery.socialnetwork.SocialGalleryMedia

- All Implemented Interfaces:
    `org.silverpeas.core.socialnetwork.provider.SocialInformationProvider`, `org.silverpeas.core.socialnetwork.provider.SocialMediaProvider`

      @Provider
      public class SocialGalleryMedia
      extends Object
      implements org.silverpeas.core.socialnetwork.provider.SocialMediaProvider

  It represents the social events of galleries
  Author:
    bourakbi
  See Also:
    `SocialInformation`, `SocialInformationGallery`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SocialGalleryMedia()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.silverpeas.core.socialnetwork.model.SocialInformation>` | `getSocialInformationList​(String userId, Date begin, Date end)` | get the social information of the specified user between the specified period of time.
    `List<org.silverpeas.core.socialnetwork.model.SocialInformation>` | `getSocialInformationListOfMyContacts​(String userId, List<String> myContactsIds, Date begin, Date end)` | get the social information of the specified contacts of the specified user between the specified period of time.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocialGalleryMedia

          protected SocialGalleryMedia()

  - ### Method Detail

    - #### getSocialInformationList

          public List<org.silverpeas.core.socialnetwork.model.SocialInformation> getSocialInformationList​(String userId,
                                                                                                          Date begin,
                                                                                                          Date end)

      get the social information of the specified user between the specified period of time.
      Specified by:
        `getSocialInformationList` in interface `org.silverpeas.core.socialnetwork.provider.SocialInformationProvider`
      Parameters:
        `userId` - the user identifier.
        `begin` - the date at which starts the period.
        `end` - the date at which ends the period.
      Returns:
        a list of social information

    - #### getSocialInformationListOfMyContacts

          public List<org.silverpeas.core.socialnetwork.model.SocialInformation> getSocialInformationListOfMyContacts​(String userId,
                                                                                                                      List<String> myContactsIds,
                                                                                                                      Date begin,
                                                                                                                      Date end)

      get the social information of the specified contacts of the specified user between the specified period of time.
      Specified by:
        `getSocialInformationListOfMyContacts` in interface `org.silverpeas.core.socialnetwork.provider.SocialInformationProvider`
      Parameters:
        `userId` - the user identifier.
        `myContactsIds` - the identifiers of the contacts.
        `begin` - the date at which starts the period.
        `end` - the date at which ends the period.
      Returns:
        a list of social information